
rem   NetCIL maintenance script - updated 3/24/2020 indx industrial software

rem   If you need technical assistance, please write to us at techsupport@ed2c.com or call us at (502) 412-4000 x112.

rem   It's recommended that you configure the following script to run daily as a scheduled background task during early morning hours.
rem   Doing so will improve the efficiency of the NetCIL database and will prevent most data errors from occurring.
 
rem   Before running, ensure that the path information for your installation of MS Access, NetCIL CLient, and your NetCIL File Server are correct.
rem   The comments below show the path information for Office 2013 32- and 64-bit, and for Office 365 32- and 64-bit applications.

rem   The runtime versions of MS Access 365 can be installed to perform these functions. Download links can be found at http://netcil.com/downloads.aspx

rem   The timeout command allows the client-side compact/repair procedure to complete before the file server process is started. 
rem   All connections to an MS Access file must be closed before a compact/repair procedure can run successfully. 

rem   If none of your users access the Client application via RDP, leave the appropriate "Client Maintenance" comments in place.
rem   Client applications that are run locally will compact and repair themselves automatically when a user exits. 
rem   The multi-user environment requires that this script be used to maintain NetCIL Client. It's recommended that
rem   you run the client compact/repair procedure before the file server procedure, as is shown in this script.

rem   Following are some sample paths for MS Access:

rem   Path for the 32-bit version of MS Access 2013: "C:\Program Files (x86)\Microsoft Office\Office15\MSACCESS.EXE"
rem   Path for the 64-bit version of MS Access 2013: "C:\Program Files\Microsoft Office\Office15\MSACCESS.EXE"
rem   Path for the 32-bit version of Office 365: "C:\Program Files (x86)\Microsoft Office\root\Office16\MSACCESS.EXE"
rem   Path for the 64-bit version of Office 365: "C:\Program Files\Microsoft Office\root\Office16\MSACCESS.EXE"

rem   *** IMPORTANT NOTE ***

rem   Be sure to test this script in an interactive session before configuring as a scheduled process. Be sure to use the same account that you will 
rem   use for the scheduled process. Note that the account must have rights to run a scheduled process. Make sure that you edit the scheduled process 
rem   properties to run whether or not the user is logged on. The first time that MS Access opens a file for a given user, a security warning is issued. 
rem   Once you acknowledge that the file is OK to run, NetCIL will list the file as "safe" in the MS Access list of trusted locations. If you don't test
rem   your script interactively first, the security prompt will cause the process to hang, waiting for user input.

rem   Remove the comment for one Client Maintenance command (if needed as described above), one File Server Maintenance command, and edit as required.

rem   Client Maintenance:

rem "C:\Program Files (x86)\Microsoft Office\Office15\MSACCESS.EXE" "C:\Users\Public\Documents\NetCIL32\NetCIL Client.accde" /compact
rem "C:\Program Files\Microsoft Office\Office15\MSACCESS.EXE" "C:\Users\Public\Documents\NetCIL64\NetCIL Client.accde" /compact
rem "C:\Program Files (x86)\Microsoft Office\root\Office16\MSACCESS.EXE" "C:\Users\Public\Documents\NetCIL32\NetCIL Client.accde" /compact
rem "C:\Program Files\Microsoft Office\root\Office16\MSACCESS.EXE" "C:\Users\Public\Documents\NetCIL64\NetCIL Client.accde" /compact
timeout 30

rem   File Server Maintenance:

rem "C:\Program Files (x86)\Microsoft Office\Office15\MSACCESS.EXE" "C:\NetCIL Data\NetCIL File Server.accdb" /compact
rem "C:\Program Files\Microsoft Office\Office15\MSACCESS.EXE" "C:\NetCIL Data\NetCIL File Server.accdb" /compact
rem "C:\Program Files (x86)\Microsoft Office\root\Office16\MSACCESS.EXE" "C:\NetCIL Data\NetCIL File Server.accdb" /compact
rem "C:\Program Files\Microsoft Office\root\Office16\MSACCESS.EXE" "C:\NetCIL Data\NetCIL File Server.accdb" /compact



